%define name libvisual-gforce
%define version 0.1.0
%define release 2mdk

Summary: G-Force visualisation plugin for applications based on libvisual
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/libvisual/%{name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
Url: http://libvisual.sf.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libvisual-devel = 0.1.6
#gw for mkdirhier
BuildRequires: XFree86

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

This package contains a G-Force libvisual plugin.
%prep
%setup -q

%build
export LDFLAGS=-L%_prefix/X11R6/%_lib
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/libvisual/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS TODO
%_libdir/libvisual/*/*
%_datadir/libvisual/*/*
%_datadir/libvisual-gforce/

%changelog
* Tue Sep 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-2mdk
- fix buildrequires

* Tue Sep 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial package
